System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationElement

Represents a configuration element within a configuration file.

Represents a simplified configuration element used for updating elements in the configuration. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on supplied parameters.

  The name of the object.
  A object. This object is an enumeration used as the serialization scheme to store configuration settings.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Compares the current instance to the specified object.

  true if the instance is equal to the specified object; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets a unique value representing the current instance.

  A unique value representing the current instance.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("name", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.String To be added. To be added.

  Gets or sets the name of the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("serializeAs", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.SettingsSerializeAs To be added.

  The object is an enumeration used as the serialization scheme to store configuration settings.

  Gets or sets the serialization mechanism used to persist the values of the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("value", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.SettingValueElement To be added. To be added.

  Gets or sets the value of a object by using a object.